Table of Contents

Module: rebuild | Twisted-0.17.4/twisted/python/rebuild.py
--- | ---

Real reloading support for Python.

Imported modules |
--- | ---
import linecache import log import sys import time import types
Functions |
__getattr__ latestClass latestFunction rebuild updateInstance
| __getattr__

    __getattr__ ( self,  name )

A getattr method to cause a class to be refreshed.

| latestClass

    latestClass ( oldClass )

Get the latest version of a class.

| latestFunction

    latestFunction ( oldFunc )

Get the latest version of a function.

| rebuild

    rebuild ( module,  doLog=1 )

Reload a module and do as much as possible to replace its references.

Exceptions |
--- | ---
RuntimeError, "I am not allowed to be rebuilt."

| updateInstance

    updateInstance ( self )

Updates an instance to be current

Classes |

Sensitive | A utility mixin that's sensitive to rebuilds.

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:23 2002 by HappyDoc version 2.0